﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.Http;

using TestServer.Models;

namespace TestServer.Controllers
{
    /// <summary>
    /// 값 컨트롤러
    /// </summary>
    public class ValueController : ApiController
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region GET 처리하기 - Get()

        /// <summary>
        /// GET 처리하기
        /// </summary>
        /// <returns>값 열거 가능형</returns>
        [HttpGet]
        public IEnumerable<ValueModel> Get()
        {
            foreach(int i in Enumerable.Range(0, 10000))
            {
                yield return new ValueModel()
                {
                    SequenceID = i,
                    Data       = Guid.NewGuid().ToString()
                };
            }
        }

        #endregion
    }
}