﻿using System.Web;
using System.Web.Http;
using System.Web.Mvc;
using System.Web.Optimization;
using System.Web.Routing;

namespace TestServer
{
    /// <summary>
    /// 웹 API 애플리케이션
    /// </summary>
    public class WebApiApplication : HttpApplication
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 애플리케이션 시작시 처리하기 - Application_Start()

        /// <summary>
        /// 애플리케이션 시작시 처리하기
        /// </summary>
        protected void Application_Start()
        {
            GlobalConfiguration.Configure(WebAPIConfiguration.Register);

            FilterConfiguration.RegisterGlobalFilterCollection(GlobalFilters.Filters);

            RouteConfiguration.RegisterRouteCollection(RouteTable.Routes);

            BundleConfiguration.RegisterBundleCollection(BundleTable.Bundles);
        }

        #endregion
    }
}